%include %{_rpmconfigdir}/macros.python3

Name: python3-idna
Version: 2.8
Release: 1
License: BSD-3-Clause
Summary: Python library for Internationalised Domain Names in Applications (IDNA)
Url: https://github.com/kjd/idna/

Source0: https://files.pythonhosted.org/packages/14/2c/cd551d81dbe15200be1cf41cd03869a46fe7226e7450af7a6545bfc474c9/idna-2.8-py2.py3-none-any.whl

BuildArch: noarch

BuildRequires: python3-pip

%description
Support for the Internationalised Domain Names in Applications (IDNA) protocol
as specified in RFC 5891. This is the latest version of the protocol and is
sometimes referred to as “IDNA 2008”.

This library also provides support for Unicode Technical Standard 46, Unicode
IDNA Compatibility Processing.

This acts as a suitable replacement for the “encodings.idna” module that comes
with the Python standard library, but only supports the old, deprecated IDNA
specification (RFC 3490).

%install
pip%{py_ver} install --no-index --no-compile --root %{buildroot} %{SOURCE0}

perl -p -i -e 's|pip|rpm|g' %{buildroot}%{py_sitedir}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%{py_sitedir}/idna
%{py_sitedir}/idna-%{version}.dist-info

%changelog
* Thu Jan 10 2019 - Kevin Adler <kadler@us.ibm.com>
- Use SPDX license identifier
- Add noarch as the build arch
- Clean up the summary and description
- Remove unnecessary build requirments

* Thu Jan 10 2019 - Jesse Gorzinski <jgorzinski@us.ibm.com.com>
- Initial commit
